=== sys/arm/conf/Makefile ===
# $FreeBSD$

TARGET=arm

.include "${.CURDIR}/../../conf/makeLINT.mk"
