=== sys/boot/amd64/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

SUBDIR=		efi boot1.efi

.include <bsd.subdir.mk>
