=== sys/boot/arm/Makefile ===
# $FreeBSD$

SUBDIR=		uboot

.include <bsd.subdir.mk>
