=== sys/boot/efi/Makefile ===
# $FreeBSD$

SUBDIR=		libefi

.include <bsd.subdir.mk>
