=== debian/changelog ===
kfreebsd-10 (10.1~svn274115-4) unstable; urgency=high

  * Pick SVN r281232 from FreeBSD 10.1-RELEASE to fix:
    - SA-15:04: integer overflow in IGMP protocol (CVE-2015-1414)
      updated patch from advisory revision 1.1 (Closes: #779195)
    - SA-15:09: Denial of Service with IPv6 Router Advertisements
      (CVE-2015-2923) (Closes: #782107)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 07 Apr 2015 22:13:19 +0100

kfreebsd-10 (10.1~svn274115-3) unstable; urgency=high

  * Pick SVN r279264 from FreeBSD 10.1-RELEASE to fix:
    - SA-15:04: integer overflow in IGMP protocol (CVE-2015-1414)
      (Closes: #779195)
    - EN-15:01: vt(4) crash with improper ioctl parameters
      (CVE-2014-0998) (Closes: #779194)

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 25 Feb 2015 12:39:32 +0000

kfreebsd-10 (10.1~svn274115-2) unstable; urgency=high

  * Pick SVN r277808 from FreeBSD 10.1-RELEASE to fix:
    - SA-15:02: SCTP SCTP_SS_VALUE kernel memory corruption and
      disclosure vulnerability (CVE-2014-8612) (Closes: #776415)
    - SA-15:03: SCTP stream reset vulnerability (CVE-2014-8613)
      (Closes: #776416)
  * Build kernel images only on kfreebsd-any arches, so that any
    security or other RC-severity kernel bugs will not affect the
    official jessie release

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 27 Jan 2015 20:02:52 +0000

kfreebsd-10 (10.1~svn274115-1) unstable; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-RC4+
    - Fix kernel stack disclosure in setlogin(2) / getlogin(2). [SA-14:25]
      (CVE-2014-8476) (Closes: #768108)
  * Replace non-DFSG-free ar9300_devid.h with a 3-clause BSD substitute
    derived from Linux ath9k driver (Closes: #767583)

  [ Christoph Egger ]
  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sun, 28 Dec 2014 12:41:02 +0100

kfreebsd-10 (10.1~svn273874-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream snapshot of 10.1-RC4

 -- Steven Chamberlain <steven@pyro.eu.org>  Thu, 30 Oct 2014 22:27:51 +0000

kfreebsd-10 (10.1~svn273581-1) experimental; urgency=high

  * New upstream snapshot of 10.1-RC3+
    - Fix memory leak in sandboxed namei lookup. [SA-14:22]
      (CVE-2014-3711) (Closes: #766278)
  * Symlink to drm2.ko as provider of drmn.ko dependency, for *kms
    modules (Closes: #731182)
  * NEWS: advise to reboot after upgrading kernel and userland tools
    from wheezy (Closes: #765588)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 21 Oct 2014 22:03:15 +0100

kfreebsd-10 (10.1~svn273304-1) unstable; urgency=medium

  * New upstream snapshot of 10.1-RC3~
  * Actually apply changes to debian/control meant to happen in the
    previous upload (changes to Breaks: and Uploaders:)

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 17 Oct 2014 00:16:43 +0000

kfreebsd-10 (10.1~svn272463-1) unstable; urgency=low

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-RC1
  * Set a Breaks: on freebsd-net-tools (<< 10.0~) due to an ABI change
    listing or modifying network interfaces
  * Set a Breaks: on freebsd-smbfs (<< 10.0~) due to an ABI change
    mounting an SMB filesystem
  * Set a Breaks: on pf (<< 10.1~) due to an ABI change listing or
    modifying firewall rules
  * Set a Breaks: on grub-common (<< 2.02~) because GRUB 2.02 or later
    is needed to boot from a ZFS pool having the LZ4 compression
    feature enabled
  * In get-orig-source, svn export with --ignore-keywords so that
    revision tags do not fuzzy the patches
  * Add myself to Uploaders

  [ Petr Salinger ]
  * Refresh patches
    - aicasm-parallel-build-dependencies.diff
    - userland.diff
    - 001_misc.diff
    - 999_config.diff

  [ Christoph Egger ]
  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 20 Sep 2014 22:02:28 +0100

kfreebsd-10 (10.1~svn271306-2) experimental; urgency=medium

  * build-depend on clang-3.4 (>= 1:3.4.2-9~exp2) for #759303 fixes
  * Add myself to uploaders
  * Wrap control fields nicely

 -- Christoph Egger <christoph@debian.org>  Thu, 18 Sep 2014 17:35:14 -0700

kfreebsd-10 (10.1~svn271306-1) experimental; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-PRERELEASE
    - Improves performance of vt(4) on vga (Closes: #755739)
  * Use the new 'make firmware' target to rebuild aic7xxx firmware from
    sources, no longer done upstream but required per the DFSG
  * Drop obsolete patch
    - 003_glibc_dev_aicasm.diff
  * Refresh patches
    - userland.diff
    - 107_mount_update.diff
    - 917_disable_kgssapi.diff
    - 999_config.diff
  * Improve build reproducibility:
    - remove last remaining occurrences of the full build path from the
      output files
    - use brandelf to give kernel modules the ELF ABI number for
      FreeBSD, even when building on Linux

  [ Christoph Egger ]
  * add aicasm-parallel-build-dependencies.diff to fix parallel build of
    aic7xx firmware

 -- Christoph Egger <christoph@debian.org>  Wed, 10 Sep 2014 09:57:11 -0700

kfreebsd-10 (10.1~svn270273-2) experimental; urgency=medium

  * Remove vt_xboxfb as it's not available currently

 -- Christoph Egger <christoph@debian.org>  Tue, 26 Aug 2014 13:15:35 -0700

kfreebsd-10 (10.1~svn270273-1) experimental; urgency=low

  [ Steven Chamberlain ]
  * New upstream snapshot of STABLE-10
  * Reset abiname to 0
  * Switch to clang-3.4 on i386, amd64, arm (Closes: #754799)
  * Switch to gcc-4.9 on other architectures (Closes: #751316)
  * Delete patches merged upstream:
    - si_status_wait6.diff
    - accept_O_CLOEXEC_in_shm_open.diff
    - newcons.diff
    - SA-14_05.nfsserver.patch
    - SA-14_08.tcp.patch
    - EN-14_05.ciss.patch
    - EN-14_06.execve.patch
  * Refresh patches:
    - radeonkms_abort_nofw.diff
    - userland.diff
    - 001_misc.diff
    - 902_version.diff
    - 908_linprocfs_is_not_proc.diff
    - 915_ip6.v6only.diff
    - 917_disable_kgssapi.diff
    - 918_unix_socket_overflow.diff
    - 999_config.diff

